Buy Philips Multipurpose Trimmer MG3750/33 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Multipurpose Trimmer MG3750/33

PRODUCT CODE: PH-MG3750

0
0
0
0
0

Rs. 25,950

Reward Points Icon

Earn 130 RED points with this purchase More Info

Offer Icon

Pay in 3 X Rs. 8,650 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

This Product Is Not Eligible For Cash On Delivery.

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type Trimmer
Blade Material Tempered Steel Blade 
Operating Time 120 Minutes
Charging Time 1 Hour
Battery Type Lithium-Ion
Functions Trim Face And Hair
Indicators 60 Minutes Of Cordless Use From A Single 8-Hour Charge
Technology DualCut Technology
Cutter Size Stubble Combs For 1mm and 2mm trimming
Special Features Tempered Steel Blades That Won’T Break, Dull Or Rust, Self-Sharpening Blades For A Smooth Result, Precision Shaver Perfects The Edges Of Cheeks, Chin And Neck
Cable Codeless
Voltage Compatible With Any Voltage Worldwide.
Safety / Protection Tempered Steel Blades That Won't Break, Dull Or Rust
Accessories 2 Stubble Combs For 1mm And 2mm Trimming, An Adjustable Beard Comb, 3 Hair Combs At 9mm, 12mm And 16mm, And 1 Body Comb.
Dimensions ‎21 x 9 x 3.5 Centimeters
Weight 290 Grams
Other Information Declutter Your Bathroom And Gym Bag, And Keep All Your Attachments In One Place, With The Small Storage Pouch For Easy Organization And Travel.

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Philips OneBlade Face Rechargeable Shaver QP1424

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Hand Carry Hair Dryer BY503
sale

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Philips Beard Trimmer BT1230 - Stainless Steel Blades

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Singer Hair Clipper - SIN-RFC-1819
sale

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
Stanley Variable Speed Heatgun STXH2000 - 2000W

ST-STXH2000-B5

0
0
0
0
0
Stanley Variable Speed Heatgun STXH2000 - 200...
Rs 13,990
Indesit Cooker Hood, Angled, Air Flow 647m3h

IND-IHVP66LMK

0
0
0
0
0
Indesit Cooker Hood, Angled, Air Flow 647m3h
Rs 91,299
Salter Electronic Bathroom Scale 9205 - 180KG
new

SEBS-9205

0
0
0
0
0
Salter Electronic Bathroom Scale 9205 - 180KG
Rs 8,999
STIHL RME 235 Electric Lawn Mower

STIHL-ELM

0
0
0
0
0
STIHL RME 235 Electric Lawn Mower
Rs 82,950
BLACK+DECKER 2 Slice Multiplate Sandwich + Grill + Waffle Maker (BD-TS2090-B5)
sale

BD-TS2090-B5

0
0
0
0
0
BLACK+DECKER 2 Slice Multiplate Sandwich + Gr...
Rs 21,280
Rs 22,400 5% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products